No indicator-sound playback menu for Audacious?
December 02, 2012 21:32 - Mad Joe
Target version:

Affects version: 3.3.2

Description

If I run Audacious via keyboard shortcut, there will be no indicator-sound playback menu for that app on my top panel, below the
speaker icon. However, if | double-click the audio file (or if | click at "Audacious" right below the speaker icon from the top panel), the
audio controls (previous, play, pause, next) will be visible there, as expected.

Here's the screenshot what's happening when | run Audacious via keyboard shortcut. There is no playback menu within the
indicator-sound for Audacious.
| believe this is a bug. Is there a fix/workaround for this for my Ubuntu 12.04 x64?

History

#1 - December 03, 2012 02:54 - John Lindgren
Did you check that the MPRIS 2 plugin is enabled?

#2 - December 03, 2012 10:36 - Mad Joe

John Lindgren wrote:

Did you check that the MPRIS 2 plugin is enabled?

Yes, MPRIS 2 plugin is enabled.
#3 - December 04, 2012 00:56 - John Lindgren

What is the output of this command:

dbus-send —--print-reply —--session --dest=org.mpris.MediaPlayer2.audacious /org/mpris/MediaPlayer2 org.freedesk
top.DBus.Properties.Get string:'org.mpris.MediaPlayer2.Player' string:'PlaybackStatus'

#4 - December 04, 2012 09:03 - Mad Joe

John Lindgren wrote:
What is the output of this command:

(-]

~$ dbus-send —--print-reply --session —--dest=org.mpris.MediaPlayer2.audacious /org/mpris/MediaPlayer2 org.freed
esktop.DBus.Properties.Get string:'org.mpris.MediaPlayer2.Player' string:'PlaybackStatus'

Error org.freedesktop.DBus.Error.ServiceUnknown: The name org.mpris.MediaPlayer2.audacious was not provided by
any .service files

#5 - December 04, 2012 09:08 - Mad Joe

John Lindgren wrote:

What is the output of this command:

(-]

Ok, the above is the output when Audacious is not started, right after a clean restart. When | click at the Audacious from the top panel, right below the
speaker icon, here's the output:

:~$ dbus-send --print-reply —--session --dest=org.mpris.MediaPlayer2.audacious /org/mpris/MediaPlayer2 org.free
desktop.DBus.Properties.Get string:'org.mpris.MediaPlayer2.Player' string:'PlaybackStatus'

method return sender=:1.165 —-> dest=:1.168 reply_serial=2
variant string "Paused"

Then | close the Audacious window and run it again, but this time via the shortcut key from my keyboard:

~$ dbus-send —--print-reply --session —--dest=org.mpris.MediaPlayer2.audacious /org/mpris/MediaPlayer2 org.freed
esktop.DBus.Properties.Get string:'org.mpris.MediaPlayer2.Player' string:'PlaybackStatus'

method return sender=:1.169 -> dest=:1.172 reply_serial=2
variant string "Paused"
#6 - December 04, 2012 09:13 - Mad Joe

Reg. comment #5: The key difference is that when | run Audacious the way | described as a first scenario in #5, | can see clearly those playback
buttons within the indicator-sound area, but when | use the second scenario described in #5, the playback buttons are not there.

#7 - December 05, 2012 00:26 - John Lindgren

- Status changed from New to Rejected

Audacious is working correctly then. You should talk to the indicator-sound developers to see why it is not showing any buttons for Audacious.

#8 - December 06, 2012 14:25 - Mad Joe

John Lindgren wrote:

Audacious is working correctly then. You should talk to the indicator-sound developers to see why it is not showing any buttons for Audacious.

Thanks, | just did it here:
https://bugs.launchpad.net/ubuntu/+source/indicator-sound/+bug/1087254
